import java.io.PrintStream;
import java.util.Date;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L07App02 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		PrintStream output = System.out;
		CreditCard cc;
		RewardCard rc;

		cc = new CreditCard(112233, "Charles Oakley", 5000);
		rc = new RewardCard(112234, "Tim Duncan", 6000);

		output.println(cc.toString());
		output.println(rc.toString());

		// take home point: the toString() method in RewardCard is *overridden*,
		// meaning that it defines different behaviours than those defined for
		// the toString() method in the parent class, CreditCard.

		// the different behaviours are not so dramatically different - it's
		// just that RewardCard's toString() method prints out the points
		// balance
		// in addition to the card number and card balance,
		// whereas CreditCard's toString() method prints out only the card
		// number
		// and card balance.


	}
}
