import java.io.PrintStream;
import java.util.Date;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L07App03 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		PrintStream output = System.out;
		CreditCard cc;
		RewardCard rc;

		cc = new CreditCard(112233, "Charles Oakley", 5000);
		rc = new RewardCard(112234, "Tim Duncan", 6000);

		cc.charge(1000);
		rc.charge(1000);

		output.println(cc.toString());
		output.println(rc.toString());

		// take home point: the charge(int) method in RewardCard is
		// *overridden*,
		// meaning that it defines different behaviours than those defined for
		// the charge(int) method in the parent class, CreditCard. In
		// RewardCard's method, the passed amount is added to the card
		// balance, and an addition is made to the points balance.
		

	}
}
