import java.io.PrintStream;
import java.util.Date;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L07App04 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		PrintStream output = System.out;
		CreditCard cc;
		RewardCard rc;

		cc = new CreditCard(112233, "Charles Oakley", 5000);
		rc = new RewardCard(112234, "Tim Duncan", 6000);

		cc.charge(1000);
		rc.charge(1000);

		output.println(cc.toString());
		output.println(rc.toString());

		rc.redeem(10);
		output.println(rc.toString());
		// take home point: RewardCard defines a method called "redeem()" but
		// CreditCard does not. It is a new method

		// what happens if we attempt to invoke this method on cc?
		// cc.redeem(10); // uncomment this - you will see a compiler error
		// ((RewardCard) cc.redeem(10); // uncomment this - you will see a
		// run-time error
		
		
		// Which process
		// is relevant here - early binding or late binding?

	}
}
